import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/stock',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/stock/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/stock',
    method: 'put',
    data
  })
}

export function queryStockAll(data) {
  return request({
    url: 'api/stock/queryStockAll',
    method: 'get',
    params: data
  })
}

export function getItemCode(data) {
  return request({
    url: 'api/stock/getItemCode',
    method: 'get',
    params: data
  })
}

export default { add, edit, del, queryStockAll, getItemCode }
